Bug 522008

Summary: Macbook 3,1 laptop screen backlight is off when unlock dialog is shown
Product: [Fedora] Fedora Reporter: Conrad Steenberg <conrad.steenberg>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: itamar, kernel-maint, rhughes, richard
Target Milestone: ---Flags: conrad.steenberg: needinfo? (rhughes)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 10:33:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
lspci output none

Description Conrad Steenberg 2009-09-09 00:59:03 EDT
Created attachment 360159 [details]
lspci output

Description of problem:

Version-Release number of selected component (if applicable):
gnome-power-manager-2.26.4-3.fc11.i586
DeviceKit-power-010-0.3.20090810git.fc11.i586


How reproducible:
Always


Steps to Reproduce:
1. Let the screen become locked through inactivity, closing the lid or suspending
2. Move mouse or tap key which brings up password dialog, it is basically invisible because the backlight is not working.
3. The brightness keys don't work
  
Actual results:
Screen is "black" with no backlight


Expected results:
Screen should not be black


Additional info:
See attached lspci output
Comment 1 Conrad Steenberg 2009-09-10 12:11:32 EDT
Update:
Adding the kernel command line option "nomodeset" fixes this.

FWIW a Dell Inspiron 5150 with Intel GMA450 also needs this option.
Comment 2 Richard Hughes 2009-09-11 12:45:10 EDT
(In reply to comment #1)
> Update:
> Adding the kernel command line option "nomodeset" fixes this.

Reassinging to kernel then. It's likely the modeset-logic doesn't do the dpms on correctly.
Comment 3 Conrad Steenberg 2009-09-12 13:19:53 EDT
More info:
 Seems like I was too quick to dismiss the problem as due to modesetting.

Having the screen brightness very low when closing the laptop lid seems to be the actual trigger.

To trigger do this:
 - Use laptop function keys to reduce brightness to 10% or 20%
 - Close lid
 - Open lid to lock the screen
   Screen will be dark with no backlight, and using function keys to increase brightness doesn't work.

So a fix would be to check that the brightess is never zero when the unlock dialog is shown.
Comment 4 Bug Zapper 2010-04-28 06:15:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 10:33:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.